package com.unis.module.coding.controller.admin.bank.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 银行已选 Response VO")
@Data
@ExcelIgnoreUnannotated
public class BankRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5355")
    @ExcelProperty("雪花id")
    private Long id;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "31499")
    @ExcelProperty("库区id(DELIVERY_KQXX.ID)")
    private Long kqId;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "3425")
    @ExcelProperty("仓房id(DELIVERY_CAXX.ID)")
    private Long caId;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "核验人员ID(SYSTEM_USERS.ID)", example = "5649")
    @ExcelProperty("核验人员ID(SYSTEM_USERS.ID)")
    private Long hyryId;

    @Schema(description = "核验人员姓名", example = "王五")
    @ExcelProperty("核验人员姓名")
    private String hyryName;

    @Schema(description = "核验状态(0:待查验,1:查验通过,2:查验不通过)")
    @ExcelProperty("核验状态(0:待查验,1:查验通过,2:查验不通过)")
    private Integer hyState;

    @Schema(description = "认定银行(多个逗号隔开)", example = "张三")
    @ExcelProperty("认定银行(多个逗号隔开)")
    private String rdyhName;

}