package com.unis.module.coding.controller.admin.bank.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 银行已选新增/修改 Request VO")
@Data
public class BankSaveReqVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5355")
    private Long id;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "31499")
    @NotNull(message = "库区id(DELIVERY_KQXX.ID)不能为空")
    private Long kqId;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "3425")
    @NotNull(message = "仓房id(DELIVERY_CAXX.ID)不能为空")
    private Long caId;

    @Schema(description = "核验人员ID(SYSTEM_USERS.ID)", example = "5649")
    private Long hyryId;

    @Schema(description = "核验人员姓名", example = "王五")
    private String hyryName;

    @Schema(description = "核验状态(0:待查验,1:查验通过,2:查验不通过)")
    private Integer hyState;

    @Schema(description = "认定银行(多个逗号隔开)", example = "张三")
    private String rdyhName;

}