package com.unis.module.coding.controller.admin.caxx.vo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.unis.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 仓廒信息;分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CaxxPageReqVO extends PageParam {

    @Schema(description = "库区id", example = "1934")
    private Long kqid;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "仓房名称")
    private String cfmc;

    @Schema(description = "仓房编码")
    private String cfbm;

    @Schema(description = "廒间名称")
    private String ajmc;

    @Schema(description = "廒间编码")
    private String ajbm;

    @Schema(description = "仓廒名称")
    private String camc;

    @Schema(description = "仓房类型")
    private String cflx;

    @Schema(description = "设计仓容")
    private BigDecimal sjcr;

    @Schema(description = "设计使用年限")
    private String sjsynx;

    @Schema(description = "仓廒状态")
    private String cazt;

    @Schema(description = "交付使用日期")
    private LocalDate jfsyrq;

    @Schema(description = "其他仓型说明")
    private String qtcxsm;

    @Schema(description = "审核状态 0、未审核  1、已审核 ")
    private Integer shzt;

    @Schema(description = "上报状态 0、未上报   1、已上报")
    private Integer sfsb;

    @Schema(description = "备注")
    private String bz;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程',")
    private Integer bgzt;

    @Schema(description = "是否注销 0否 1是")
    private String sfzx;

    @Schema(description = "仓房仓号图")
    private String cfcht;

    @Schema(description = "仓房仓型图")
    private String cfcxt;

    @Schema(description = "已选仓房(0:未选,1:已选)")
    private Integer yxcf;
}