package com.unis.module.coding.controller.admin.caxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 仓廒信息; Response VO")
@Data
@ExcelIgnoreUnannotated
public class CaxxRespVO {

    @Schema(description = "主键-自增", requiredMode = Schema.RequiredMode.REQUIRED, example = "6725")
    @ExcelProperty("主键-自增")
    private Long id;

    @Schema(description = "库区id", example = "1934")
    @ExcelProperty("库区id")
    private Integer kqid;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "仓房名称")
    @ExcelProperty("仓房名称")
    private String cfmc;

    @Schema(description = "仓房编码")
    @ExcelProperty("仓房编码")
    private String cfbm;

    @Schema(description = "廒间名称")
    @ExcelProperty("廒间名称")
    private String ajmc;

    @Schema(description = "廒间编码")
    @ExcelProperty("廒间编码")
    private String ajbm;

    @Schema(description = "仓廒名称")
    @ExcelProperty("仓廒名称")
    private String camc;

    @Schema(description = "仓房类型")
    @ExcelProperty("仓房类型")
    private String cflx;

    @Schema(description = "设计仓容")
    @ExcelProperty("设计仓容")
    private BigDecimal sjcr;

    @Schema(description = "设计使用年限")
    @ExcelProperty("设计使用年限")
    private String sjsynx;

    @Schema(description = "仓廒状态")
    @ExcelProperty("仓廒状态")
    private String cazt;

    @Schema(description = "交付使用日期")
    @ExcelProperty("交付使用日期")
    private LocalDate jfsyrq;

    @Schema(description = "其他仓型说明")
    @ExcelProperty("其他仓型说明")
    private String qtcxsm;

    @Schema(description = "审核状态 0、未审核  1、已审核 ")
    @ExcelProperty("审核状态 0、未审核  1、已审核 ")
    private Integer shzt;

    @Schema(description = "上报状态 0、未上报   1、已上报")
    @ExcelProperty("上报状态 0、未上报   1、已上报")
    private Integer sfsb;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String bz;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程',")
    @ExcelProperty("变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程',")
    private Integer bgzt;

    @Schema(description = "是否注销 0否 1是")
    @ExcelProperty("是否注销 0否 1是")
    private String sfzx;

    @Schema(description = "仓房仓号图")
    @ExcelProperty("仓房仓号图")
    private String cfcht;

    @Schema(description = "仓房仓型图")
    @ExcelProperty("仓房仓型图")
    private String cfcxt;

    @Schema(description = "已选仓房(0:未选,1:已选)")
    @ExcelProperty("已选仓房(0:未选,1:已选)")
    private Integer yxcf;

    @Schema(description = "仓房是否完好")
    @ExcelProperty("仓房是否完好")
    private String cfsfwh;

    @Schema(description = "0:备选,1:被认定,2:被选定")
    private Integer bxzt;
}