package com.unis.module.coding.controller.admin.crkxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;
import com.unis.framework.excel.core.annotations.DictFormat;
import com.unis.framework.excel.core.convert.DictConvert;

@Schema(description = "管理后台 - 出入库信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CrkxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "31491")
    @ExcelProperty("雪花id")
    private Long id;

    @Schema(description = "粮食品种名称")
    @ExcelProperty("粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    @ExcelProperty(value = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)", converter = DictConvert.class)
    @DictFormat("system_lsdj") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private String lsdjbm;

    @Schema(description = "净重(公斤)")
    @ExcelProperty("净重(公斤)")
    private BigDecimal jz;

    @Schema(description = "车船号")
    @ExcelProperty("车船号")
    private String cch;

    @Schema(description = "出入库类型(0:出库,1:入库)")
    @ExcelProperty("出入库类型(0:出库,1:入库)")
    private Integer crklx;

    @Schema(description = "附件多个逗号隔开','(INFRA_FILE.ID)")
    @ExcelProperty("附件多个逗号隔开','(INFRA_FILE.ID)")
    private String fileIds;

    @Schema(description = "承运人")
    @ExcelProperty("承运人")
    private String cyr;

    @Schema(description = "运输工具")
    @ExcelProperty("运输工具")
    private String ysgj;

    @Schema(description = "入门时间")
    @ExcelProperty("入门时间")
    private LocalDateTime rmsj;

    @Schema(description = "登记人员")
    @ExcelProperty("登记人员")
    private String djry;

    @Schema(description = "出门时间")
    @ExcelProperty("出门时间")
    private LocalDateTime cmsj;

}