package com.unis.module.coding.controller.admin.crkxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 出入库信息新增/修改 Request VO")
@Data
public class CrkxxSaveReqVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "31491")
    private Long id;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    private String lsdjbm;

    @Schema(description = "净重(公斤)")
    private BigDecimal jz;

    @Schema(description = "车船号")
    private String cch;

    @Schema(description = "出入库类型(0:出库,1:入库)")
    private Integer crklx;

    @Schema(description = "附件多个逗号隔开','(INFRA_FILE.ID)")
    private String fileIds;

    @Schema(description = "承运人")
    private String cyr;

    @Schema(description = "运输工具")
    private String ysgj;

    @Schema(description = "入门时间")
    private LocalDateTime rmsj;

    @Schema(description = "登记人员")
    private String djry;

    @Schema(description = "出门时间")
    private LocalDateTime cmsj;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "873")
    private Long cfId;

    @Schema(description = "创建者")
    private String creator;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更新者")
    private String updater;

    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    @Schema(description = "删除标识")
    private Boolean deleted;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", example = "415")
    private Long hwkId;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", example = "1948")
    private Long kqid;

}