package com.unis.module.coding.controller.admin.cwxx.vo;

import com.unis.module.coding.controller.admin.cwxxyear.vo.CwxxYearSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 财务信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CwxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "30550")
    @ExcelProperty("雪花id")
    private Long id;

    @Schema(description = "是否国有及国有控股(0:是,1不是)")
    @ExcelProperty("是否国有及国有控股(0:是,1不是)")
    private Integer sfgykg;

    @Schema(description = "上一年度总资产(万元)")
    @ExcelProperty("上一年度总资产(万元)")
    private BigDecimal syndzzc;

    @Schema(description = "股东")
    @ExcelProperty("股东")
    private String gd;

    @Schema(description = "单位id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3720")
    @ExcelProperty("单位id")
    private Long deptId;

    @Schema(description = "库区id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3720")
    private Long kqid;

    @Schema(description = "财年情况")
    private List<CwxxYearSaveReqVO> cwxxYearList;
}