package com.unis.module.coding.controller.admin.cwxx.vo;

import com.unis.module.coding.controller.admin.cwxxyear.vo.CwxxYearSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 财务信息新增/修改 Request VO")
@Data
public class CwxxSaveReqVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "30550")
    private Long id;

    @Schema(description = "是否国有及国有控股(0:是,1不是)")
    private Integer sfgykg;

    @Schema(description = "上一年度总资产(万元)")
    private BigDecimal syndzzc;

    @Schema(description = "股东")
    private String gd;

    @Schema(description = "单位id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3720")
    @NotNull(message = "单位id不能为空")
    private Long deptId;

    @Schema(description = "库区id", example = "1934")
    private Long kqid;

    @Schema(description = "财年情况")
    private List<CwxxYearSaveReqVO> cwxxYearList;

}