package com.unis.module.coding.controller.admin.cwxxyear.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 财年务情况 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CwxxYearRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "15451")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "财年", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("财年")
    private Integer cn;

    @Schema(description = "总负债(万元)")
    @ExcelProperty("总负债(万元)")
    private BigDecimal zfz;

    @Schema(description = "营业收入(万元)")
    @ExcelProperty("营业收入(万元)")
    private BigDecimal yysr;

    @Schema(description = "净利润(万元)")
    @ExcelProperty("净利润(万元)")
    private BigDecimal jlr;

    @Schema(description = "CODING_CWXX.ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28502")
    @ExcelProperty("CODING_CWXX.ID")
    private Long cwxxId;

}