package com.unis.module.coding.controller.admin.cwxxyear.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 财年务情况新增/修改 Request VO")
@Data
public class CwxxYearSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "15451")
    private Long id;

    @Schema(description = "财年", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "财年不能为空")
    private Integer cn;

    @Schema(description = "总负债(万元)")
    private BigDecimal zfz;

    @Schema(description = "营业收入(万元)")
    private BigDecimal yysr;

    @Schema(description = "净利润(万元)")
    private BigDecimal jlr;

    @Schema(description = "CODING_CWXX.ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28502")
    @NotNull(message = "CODING_CWXX.ID不能为空")
    private Long cwxxId;

}