package com.unis.module.coding.controller.admin.delivery.vo;

import com.unis.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-01-16 15:49
 */
@Schema(description = "交割仓分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeliveryPageReqVO extends PageParam {
    private static final long serialVersionUID = -7424112838944769068L;

    @Schema(description = "企业名称")
    private String dwmc;

    @Schema(description = "仓房类型编码")
    private String cflx;

    @Schema(description = "仓房状态编码")
    private String cfzt;

    /*@Schema(description = "是否空仓('000':是,null:否)")
    private String sfkc;*/

    // 库区仓容
    @Schema(description = "库区仓容start")
    private Integer kqStart;
    @Schema(description = "库区仓容end")
    private Integer kqEnd;

    // 仓房仓容
    @Schema(description = "仓房仓容start")
    private Integer cfStart;
    @Schema(description = "仓房仓容end")
    private Integer cfEnd;

    @Schema(description = "单位id查询parentId")
    private Long deptId;

    @Schema(description = "行政区域等级 1-省 2-市 3-区县 4-街道镇 5-村")
    private Integer areaLevel;

    @Schema(description = "行政区域编码")
    private String areaCode;

    @Schema(description = "行政区域父编码")
    private String parentCode;

    @Schema(description = "所选市区")
    private String areaShi;

    @Schema(description = "所选省份")
    private String areaSheng;
    @Schema(description = "所选区县")
    private String areaXian;
}
