package com.unis.module.coding.controller.admin.dwxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 单位信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DwxxRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "30392")
    @ExcelProperty("主键")
    private Integer id;

    @Schema(description = "单位名称")
    @ExcelProperty("单位名称")
    private String dwmc;

    @Schema(description = "统一信用代码")
    @ExcelProperty("统一信用代码")
    private String tyxydm;

    @Schema(description = "法定代表人")
    @ExcelProperty("法定代表人")
    private String fddbr;

    @Schema(description = "身份证号")
    @ExcelProperty("身份证号")
    private String sfzh;

    @Schema(description = "联系方式")
    @ExcelProperty("联系方式")
    private String lxfs;

    @Schema(description = "注册日期")
    @ExcelProperty("注册日期")
    private LocalDate zcrq;

    @Schema(description = "通讯地址-省")
    @ExcelProperty("通讯地址-省")
    private String sheng;

    @Schema(description = "邮政编码")
    @ExcelProperty("邮政编码")
    private String yzbm;

    @Schema(description = "注册地址")
    @ExcelProperty("注册地址")
    private String zcdz;

    @Schema(description = "企业性质")
    @ExcelProperty("企业性质")
    private String qyxz;

    @Schema(description = "经度")
    @ExcelProperty("经度")
    private BigDecimal jd;

    @Schema(description = "维度")
    @ExcelProperty("维度")
    private BigDecimal wd;

    @Schema(description = "上传营业执照", example = "11527")
    @ExcelProperty("上传营业执照")
    private String resid;

    @Schema(description = "上报状态	0、未上报   1、已上报 ")
    @ExcelProperty("上报状态	0、未上报   1、已上报 ")
    private Integer sbzt;

    @Schema(description = "是否注销：0未注销、1已注销")
    @ExcelProperty("是否注销：0未注销、1已注销")
    private String sfzx;

    @Schema(description = "审核状态 0、未审核  1、已审核")
    @ExcelProperty("审核状态 0、未审核  1、已审核")
    private Integer shzt;

    @Schema(description = "标志	区分省级库区还是中储粮")
    @ExcelProperty("标志	区分省级库区还是中储粮")
    private String bz;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "通讯地址-市")
    @ExcelProperty("通讯地址-市")
    private String shi;

    @Schema(description = "通讯地址-县")
    @ExcelProperty("通讯地址-县")
    private String xian;

    @Schema(description = "通讯地址-具体地址")
    @ExcelProperty("通讯地址-具体地址")
    private String jtdz;

    @Schema(description = "创建人部门id", example = "892")
    @ExcelProperty("创建人部门id")
    private String creatorDeptId;

    @Schema(description = "取模糊查询中最终选定的部门id", example = "7687")
    @ExcelProperty("取模糊查询中最终选定的部门id")
    private String dwDeptId;

    @Schema(description = "变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程")
    @ExcelProperty("变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程")
    private Integer bgzt;

    @Schema(description = "上报id", example = "14220")
    @ExcelProperty("上报id")
    private Integer sbid;

    @Schema(description = "数据来源")
    @ExcelProperty("数据来源")
    private Integer sjly;

    @Schema(description = "行政区划代码")
    @ExcelProperty("行政区划代码")
    private String xzqhdm;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "仓容总量（吨）")
    @ExcelProperty("仓容总量（吨）")
    private String sjcrNum;

    @Schema(description = "仓房数量")
    @ExcelProperty("仓房数量")
    private Integer cfnum;

    @Schema(description = "已选仓房")
    @ExcelProperty("已选仓房")
    private Integer yxcfnum;

    /*@Schema(description = "库区数量")
    @ExcelProperty("库区数量")
    private Integer kqnum;*/

    /*@Schema(description = "油罐数量")
    @ExcelProperty("油罐数量")
    private Integer ygnum;*/

    /*@Schema(description = "单位状态")
    @ExcelProperty("单位状态")
    private Integer dwzt;*/

    /*@Schema(description = "上级单位统一编码")
    @ExcelProperty("上级单位统一编码")
    private String sjdwtybm;*/

    /*@Schema(description = "上级单位名称")
    @ExcelProperty("上级单位名称")
    private String sjdwmc;*/

    /*@Schema(description = "传真号码")
    @ExcelProperty("传真号码")
    private String czhm;*/

    /*@Schema(description = "企业网站地址")
    @ExcelProperty("企业网站地址")
    private String qywzdz;*/

    /*@Schema(description = "企业邮箱")
    @ExcelProperty("企业邮箱")
    private String qyemail;*/

    /*@Schema(description = "办公电话")
    @ExcelProperty("办公电话")
    private String bgdh;*/

    /*@Schema(description = "企业联系人")
    @ExcelProperty("企业联系人")
    private String qylxr;*/

    /*@Schema(description = "资产总额")
    @ExcelProperty("资产总额")
    private BigDecimal zcze;*/

    /*@Schema(description = "注册资本")
    @ExcelProperty("注册资本")
    private String zczb;*/
}