package com.unis.module.coding.controller.admin.dwxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 单位信息新增/修改 Request VO")
@Data
public class DwxxSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "30392")
    private Long id;

    @Schema(description = "单位名称")
    private String dwmc;

    @Schema(description = "统一信用代码")
    private String tyxydm;

    @Schema(description = "法定代表人")
    private String fddbr;

    @Schema(description = "身份证号")
    private String sfzh;

    @Schema(description = "联系方式")
    private String lxfs;

    @Schema(description = "注册日期")
    private LocalDate zcrq;

    @Schema(description = "通讯地址-省")
    private String sheng;

    @Schema(description = "邮政编码")
    private String yzbm;

    @Schema(description = "注册地址")
    private String zcdz;

    @Schema(description = "企业性质")
    private String qyxz;

    @Schema(description = "经度")
    private BigDecimal jd;

    @Schema(description = "维度")
    private BigDecimal wd;

    @Schema(description = "上传营业执照", example = "11527")
    private String resid;

    @Schema(description = "上报状态	0、未上报   1、已上报 ")
    private Integer sbzt;

    @Schema(description = "是否注销：0未注销、1已注销")
    private String sfzx;

    @Schema(description = "审核状态 0、未审核  1、已审核")
    private Integer shzt;

    @Schema(description = "标志	区分省级库区还是中储粮")
    private String bz;

    @Schema(description = "通讯地址-市")
    private String shi;

    @Schema(description = "通讯地址-县")
    private String xian;

    @Schema(description = "通讯地址-具体地址")
    private String jtdz;

    @Schema(description = "创建人部门id", example = "892")
    private String creatorDeptId;

    @Schema(description = "取模糊查询中最终选定的部门id", example = "7687")
    private String dwDeptId;

    @Schema(description = "变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程")
    private Integer bgzt;

    @Schema(description = "上报id", example = "14220")
    private Integer sbid;

    @Schema(description = "数据来源")
    private Integer sjly;

    @Schema(description = "行政区划代码")
    private String xzqhdm;

    /*@Schema(description = "仓房数量")
    private Integer cfnum;*/

    /*@Schema(description = "库区数量")
    private Integer kqnum;*/

    /*@Schema(description = "注册资本")
    private String zczb;*/

    /*@Schema(description = "资产总额")
    private BigDecimal zcze;*/

    /*@Schema(description = "企业联系人")
    private String qylxr;*/

    /*@Schema(description = "办公电话")
    private String bgdh;*/

    /*@Schema(description = "企业邮箱")
    private String qyemail;*/

    /*@Schema(description = "企业网站地址")
    private String qywzdz;*/

    /*@Schema(description = "传真号码")
    private String czhm;*/

    /*@Schema(description = "上级单位名称")
    private String sjdwmc;*/

    /*@Schema(description = "上级单位统一编码")
    private String sjdwtybm;*/

    /*@Schema(description = "油罐数量")
    private Integer ygnum;*/

    /*@Schema(description = "单位状态")
    private Integer dwzt;*/
}