package com.unis.module.coding.controller.admin.hwk.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.unis.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 货位卡信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HwkPageReqVO extends PageParam {

    @Schema(description = "货位名称")
    private String hwmc;

    @Schema(description = "保管员姓名")
    private String bgyxm;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    private String lsdjbm;

    @Schema(description = "收获年度")
    private Integer shnd;

    @Schema(description = "产地编码(system_area_level.area_code)")
    private String cdbm;

    @Schema(description = "实际数量(吨)")
    private BigDecimal sjsl;

    @Schema(description = "计价数量(吨)")
    private BigDecimal jjsl;

    @Schema(description = "入库时间")
    private LocalDateTime rksj;

    @Schema(description = "保管方式")
    private String bgfs;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "26067")
    private Long cfId;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", example = "14953")
    private Long kqid;

}