package com.unis.module.coding.controller.admin.kqxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 库区信息; Response VO")
@Data
@ExcelIgnoreUnannotated
public class KqxxRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "4871")
    @ExcelProperty("主键")
    private Integer id;

    @Schema(description = "单位id", example = "23579")
    @ExcelProperty("单位id")
    private Integer dwid;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "库区代码")
    @ExcelProperty("库区代码")
    private String kqdm;

    @Schema(description = "简称")
    @ExcelProperty("简称")
    private String jc;

    @Schema(description = "经度")
    @ExcelProperty("经度")
    private BigDecimal jd;

    @Schema(description = "纬度")
    @ExcelProperty("纬度")
    private BigDecimal wd;

    @Schema(description = "邮政编码")
    @ExcelProperty("邮政编码")
    private String yzbm;

    @Schema(description = "库区地址-省")
    @ExcelProperty("库区地址-省")
    private String sheng;

    @Schema(description = "库区负责人")
    @ExcelProperty("库区负责人")
    private String kqfzr;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String lxdh;

    @Schema(description = "占地面积")
    @ExcelProperty("占地面积")
    private BigDecimal zdmj;

    @Schema(description = "库区状态  1、正常  2、退出储备粮承储")
    @ExcelProperty("库区状态  1、正常  2、退出储备粮承储")
    private String kqzt;

    @Schema(description = "上传库区图id", example = "20479")
    @ExcelProperty("上传库区图id")
    private String resid;

    @Schema(description = "租仓参考价(元)")
    private Integer zcckj;

    @Schema(description = "委托保管参考价(元/吨)")
    private Integer wtbgckj;

    @Schema(description = "上报状态 0、未上报   1、已上报")
    @ExcelProperty("上报状态 0、未上报   1、已上报")
    private Integer sbzt;

    @Schema(description = "变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程")
    @ExcelProperty("变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程")
    private Integer bgzt;

    @Schema(description = "变更审核状态，0未审核，1已审核")
    @ExcelProperty("变更审核状态，0未审核，1已审核")
    private Integer bgshzt;

    @Schema(description = "审核状态 0、未审核  1、已审核")
    @ExcelProperty("审核状态 0、未审核  1、已审核")
    private Integer shzt;

    @Schema(description = "是否注销")
    @ExcelProperty("是否注销")
    private String sfzx;

    @Schema(description = "标识  区分省级库区还是中储粮")
    @ExcelProperty("标识  区分省级库区还是中储粮")
    private String bs;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "库区地址-市")
    @ExcelProperty("库区地址-市")
    private String shi;

    @Schema(description = "库区地址-县")
    @ExcelProperty("库区地址-县")
    private String xian;

    @Schema(description = "库区地址-具体地址")
    @ExcelProperty("库区地址-具体地址")
    private String jtdz;

    @Schema(description = "所属法人企业")
    @ExcelProperty("所属法人企业")
    private String ssfrqy;

    @Schema(description = "社会信用代码")
    @ExcelProperty("社会信用代码")
    private String shxydm;

}