package com.unis.module.coding.controller.admin.lqjcxx.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.unis.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 粮情检测信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LqjcxxPageReqVO extends PageParam {

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "12922")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", example = "8842")
    private Long hwkId;

    @Schema(description = "仓房外温(℃)")
    private BigDecimal cww;

    @Schema(description = "仓房外湿度(%)")
    private BigDecimal cws;

    @Schema(description = "仓房内温(℃)")
    private BigDecimal cnw;

    @Schema(description = "仓房内湿(%)")
    private BigDecimal cns;

    @Schema(description = "粮食最高温(℃)")
    private BigDecimal lszgw;

    @Schema(description = "粮食最低温(℃)")
    private BigDecimal lszdw;

    @Schema(description = "粮食平均温(℃)")
    private BigDecimal lspjw;

    @Schema(description = "附件多个逗号隔开'',''(INFRA_FILE.URL)")
    private String fileIds;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}