package com.unis.module.coding.controller.admin.lqjcxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 粮情检测信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LqjcxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16670")
    @ExcelProperty("雪花id")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "12922")
    @ExcelProperty("仓房id(DELIVERY_CAXX.ID)")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "8842")
    @ExcelProperty("货位卡id(DELIVERY_HWK.ID)")
    private Long hwkId;

    @Schema(description = "仓房外温(℃)")
    @ExcelProperty("仓房外温(℃)")
    private BigDecimal cww;

    @Schema(description = "仓房外湿度(%)")
    @ExcelProperty("仓房外湿度(%)")
    private BigDecimal cws;

    @Schema(description = "仓房内温(℃)")
    @ExcelProperty("仓房内温(℃)")
    private BigDecimal cnw;

    @Schema(description = "仓房内湿(%)")
    @ExcelProperty("仓房内湿(%)")
    private BigDecimal cns;

    @Schema(description = "粮食最高温(℃)")
    @ExcelProperty("粮食最高温(℃)")
    private BigDecimal lszgw;

    @Schema(description = "粮食最低温(℃)")
    @ExcelProperty("粮食最低温(℃)")
    private BigDecimal lszdw;

    @Schema(description = "粮食平均温(℃)")
    @ExcelProperty("粮食平均温(℃)")
    private BigDecimal lspjw;

    @Schema(description = "附件多个逗号隔开'',''(INFRA_FILE.URL)")
    @ExcelProperty("附件多个逗号隔开'',''(INFRA_FILE.URL)")
    private String fileIds;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}