package com.unis.module.coding.controller.admin.lqjcxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 粮情检测信息新增/修改 Request VO")
@Data
public class LqjcxxSaveReqVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16670")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "12922")
    @NotNull(message = "仓房id(DELIVERY_CAXX.ID)不能为空")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "8842")
    @NotNull(message = "货位卡id(DELIVERY_HWK.ID)不能为空")
    private Long hwkId;

    @Schema(description = "仓房外温(℃)")
    private BigDecimal cww;

    @Schema(description = "仓房外湿度(%)")
    private BigDecimal cws;

    @Schema(description = "仓房内温(℃)")
    private BigDecimal cnw;

    @Schema(description = "仓房内湿(%)")
    private BigDecimal cns;

    @Schema(description = "粮食最高温(℃)")
    private BigDecimal lszgw;

    @Schema(description = "粮食最低温(℃)")
    private BigDecimal lszdw;

    @Schema(description = "粮食平均温(℃)")
    private BigDecimal lspjw;

    @Schema(description = "附件多个逗号隔开'',''(INFRA_FILE.URL)")
    private String fileIds;

}