package com.unis.module.coding.controller.admin.province.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import com.unis.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static com.unis.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 省已选分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProvincePageReqVO extends PageParam {

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", example = "1709")
    private Long kqId;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "14592")
    private Long caId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "核验人员ID(SYSTEM_USERS.ID)", example = "16029")
    private Long hyryId;

    @Schema(description = "核验人员姓名", example = "王五")
    private String hyryName;

    @Schema(description = "核验状态(0:待查验,1:查验通过,2:查验不通过)")
    private Integer hyState;

    @Schema(description = "附件信息,多个逗号隔开','(INFRA_FILE.ID)")
    private String fileIds;

}