package com.unis.module.coding.controller.admin.syxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 损益信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SyxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25360")
    @ExcelProperty("雪花id")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "15848")
    @ExcelProperty("仓房id(DELIVERY_CAXX.ID)")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "15915")
    @ExcelProperty("货位卡id(DELIVERY_HWK.ID)")
    private Long hwkId;

    @Schema(description = "入库净重(吨)")
    @ExcelProperty("入库净重(吨)")
    private BigDecimal rkjz;

    @Schema(description = "入库杂质")
    @ExcelProperty("入库杂质")
    private String rkzz;

    @Schema(description = "入库水分")
    @ExcelProperty("入库水分")
    private String rksf;

    @Schema(description = "出库净重(吨)")
    @ExcelProperty("出库净重(吨)")
    private BigDecimal ckjz;

    @Schema(description = "出库水分")
    @ExcelProperty("出库水分")
    private String cksf;

    @Schema(description = "出库杂质")
    @ExcelProperty("出库杂质")
    private String ckzz;

    @Schema(description = "损益是否正常(0:不正常,1:正常)")
    @ExcelProperty("损益是否正常(0:不正常,1:正常)")
    private Integer sfzc;

    @Schema(description = "水杂减量")
    @ExcelProperty("水杂减量")
    private BigDecimal szjl;

    @Schema(description = "自然耗定额(吨)")
    @ExcelProperty("自然耗定额(吨)")
    private BigDecimal zrhde;

    @Schema(description = "超耗数量(吨)")
    @ExcelProperty("超耗数量(吨)")
    private BigDecimal chsl;

    @Schema(description = "损益数量（吨")
    @ExcelProperty("损益数量（吨")
    private BigDecimal sysl;

}