package com.unis.module.coding.controller.admin.syxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 损益信息新增/修改 Request VO")
@Data
public class SyxxSaveReqVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25360")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "15848")
    @NotNull(message = "仓房id(DELIVERY_CAXX.ID)不能为空")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "15915")
    @NotNull(message = "货位卡id(DELIVERY_HWK.ID)不能为空")
    private Long hwkId;

    @Schema(description = "入库净重(吨)")
    private BigDecimal rkjz;

    @Schema(description = "入库杂质")
    private String rkzz;

    @Schema(description = "入库水分")
    private String rksf;

    @Schema(description = "出库净重(吨)")
    private BigDecimal ckjz;

    @Schema(description = "出库水分")
    private String cksf;

    @Schema(description = "出库杂质")
    private String ckzz;

    @Schema(description = "损益是否正常(0:不正常,1:正常)")
    private Integer sfzc;

    @Schema(description = "水杂减量")
    private BigDecimal szjl;

    @Schema(description = "自然耗定额(吨)")
    private BigDecimal zrhde;

    @Schema(description = "超耗数量(吨)")
    private BigDecimal chsl;

    @Schema(description = "损益数量（吨")
    private BigDecimal sysl;

    @Schema(description = "创建者")
    private String creator;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更新者")
    private String updater;

    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    @Schema(description = "删除标识")
    private Boolean deleted;

}