package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 仓房信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskCaxxRespVO {

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "1709")
    private Long kqId;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "14592")
    private Long caId;

    @Schema(description = "仓房名称")
    private String cfmc;

    @Schema(description = "仓房类型")
    private String cflx;

    @Schema(description = "仓廒状态")
    private String cazt;

    @Schema(description = "设计仓容")
    private BigDecimal sjcr;

    @Schema(description = "设计使用年限")
    private String sjsynx;

    @Schema(description = "是否空仓(0:否,1:是)")
    private Integer sfkc;

    @Schema(description = "租仓参考价(元/月)")
    private Integer zcckj;

    @Schema(description = "委托保管参考价(元/吨/月)")
    private Integer wtbgckj;

}