package com.unis.module.coding.controller.admin.task.vo;

import com.unis.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Schema(description = "管理后台 - 任务列表 分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class TaskPageReqVO extends PageParam {

    @Schema(description = "待领取任务列表")
    public static final Integer LIST_TYPE_TASK1 = 1;
    @Schema(description = "已领取任务列表")
    public static final Integer LIST_TYPE_TASK2 = 2;
    @Schema(description = "存粮人可选列表")
    public static final Integer LIST_TYPE_TASK3 = 3;
    @Schema(description = "存粮人已选列表")
    public static final Integer LIST_TYPE_TASK4 = 4;

    /** 省已选择-表名 */
    public static final String TABLE_NAME_DELIVERY_PROVINCE = "DELIVERY_PROVINCE";
    /** 银行已选择-表名 */
    public static final String TABLE_NAME_DELIVERY_BANK = "DELIVERY_BANK";

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", example = "1709")
    private Long kqId;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", example = "14592")
    private Long caId;

    @Schema(description = "核验人员ID(SYSTEM_USERS.ID)", example = "16029")
    private Long hyryId;

    @Schema(description = "核验人员姓名", example = "王五")
    private String hyryName;

    @Schema(description = "核验状态(0:待查验,1:查验通过,2:查验不通过3:核验中)")
    private Integer hyState;

    @Schema(description = "库区地址-省")
    private String sheng;

    @Schema(description = "库区地址-市")
    private String shi;

    @Schema(description = "库区地址-县")
    private String xian;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "1:任务列表,2:我的任务")
    private Integer listType;

    @Schema(description = "库区 ids 领取任务/核验通过 使用")
    List<Long> kqIds;

    @Schema(description = "仓房 ids 存粮人选择仓房 使用")
    List<Long> caIds;

    private String tableName;

    private String bankType;

    @Schema(description = "存粮人是否选定(0:未选定,1:已选定)")
    private Integer clrsfxd;

    private String creator;

}