package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 任务列表 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskRespVO {

    @Schema(description = "库区id(DELIVERY_KQXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "1709")
    private Long kqId;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "14592")
    private Long caId;

    @Schema(description = "库区代码")
    private String kqdm;

    @Schema(description = "库区名称")
    private String kqmc;

    @Schema(description = "库区地址-具体地址")
    private String jtdz;

    @Schema(description = "库区地址-省")
    private String sheng;

    @Schema(description = "库区地址-市")
    private String shi;

    @Schema(description = "库区地址-县")
    private String xian;

    @Schema(description = "库区负责人")
    private String kqfzr;

    @Schema(description = "联系电话")
    private String lxdh;

    @Schema(description = "核验人员ID(SYSTEM_USERS.ID)")
    private Long hyryId;

    @Schema(description = "核验人员姓名")
    private String hyryName;

    @Schema(description = "核验状态(0:待查验,1:查验通过,2:查验不通过)")
    private Integer hyState;

    @Schema(description = "核验数量")
    private Integer hyNum;

}