package com.unis.module.coding.controller.admin.zjxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.util.*;
import com.alibaba.excel.annotation.*;
import com.unis.framework.excel.core.annotations.DictFormat;
import com.unis.framework.excel.core.convert.DictConvert;

@Schema(description = "管理后台 - 质检信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ZjxxRespVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "28249")
    @ExcelProperty("雪花id")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "1241")
    @ExcelProperty("仓房id(DELIVERY_CAXX.ID)")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "14337")
    @ExcelProperty("货位卡id(DELIVERY_HWK.ID)")
    private Long hwkId;

    @Schema(description = "检测类型")
    @ExcelProperty("检测类型")
    private String jclx;

    @Schema(description = "检测时间")
    @ExcelProperty("检测时间")
    private LocalDate jcsj;

    @Schema(description = "粮食品种名称")
    @ExcelProperty("粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    @ExcelProperty(value = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)", converter = DictConvert.class)
    @DictFormat("system_lsdj") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private String lsdjbm;

    @Schema(description = "检测人员姓名")
    @ExcelProperty("检测人员姓名")
    private String jcrrxm;

    @Schema(description = "粮食安全指标是否合格(0:不合格,1:合格)")
    @ExcelProperty("粮食安全指标是否合格(0:不合格,1:合格)")
    private Integer sfhg;

    @Schema(description = "附件多个逗号隔开'',''(INFRA_FILE.ID)")
    @ExcelProperty("附件多个逗号隔开'',''(INFRA_FILE.ID)")
    private String fileIds;

}