package com.unis.module.coding.controller.admin.zjxx.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 质检信息新增/修改 Request VO")
@Data
public class ZjxxSaveReqVO {

    @Schema(description = "雪花id", requiredMode = Schema.RequiredMode.REQUIRED, example = "28249")
    private Long id;

    @Schema(description = "仓房id(DELIVERY_CAXX.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "1241")
    @NotNull(message = "仓房id(DELIVERY_CAXX.ID)不能为空")
    private Long cfId;

    @Schema(description = "货位卡id(DELIVERY_HWK.ID)", requiredMode = Schema.RequiredMode.REQUIRED, example = "14337")
    @NotNull(message = "货位卡id(DELIVERY_HWK.ID)不能为空")
    private Long hwkId;

    @Schema(description = "检测类型")
    private String jclx;

    @Schema(description = "检测时间")
    private LocalDate jcsj;

    @Schema(description = "粮食品种名称")
    private String lspzmc;

    @Schema(description = "粮食等级编码(SYSTEM_DICT_DATA.LABEL)")
    private String lsdjbm;

    @Schema(description = "检测人员姓名")
    private String jcrrxm;

    @Schema(description = "粮食安全指标是否合格(0:不合格,1:合格)")
    private Integer sfhg;

    @Schema(description = "附件多个逗号隔开'',''(INFRA_FILE.ID)")
    private String fileIds;

    @Schema(description = "创建者")
    private String creator;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    @Schema(description = "更新者")
    private String updater;

    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    @Schema(description = "删除标识")
    private Boolean deleted;

}