package com.unis.module.coding.dal.dataobject.bank;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

/**
 * 银行已选 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_bank")
@KeySequence("delivery_bank_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BankDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 库区id(DELIVERY_KQXX.ID)
     */
    private Long kqId;
    /**
     * 仓房id(DELIVERY_CAXX.ID)
     */
    private Long caId;
    /**
     * 核验人员ID(SYSTEM_USERS.ID)
     */
    private Long hyryId;
    /**
     * 核验人员姓名
     */
    private String hyryName;
    /**
     * 核验状态(0:待查验,1:查验通过,2:查验不通过)
     */
    private Integer hyState;
    /**
     * 认定银行(多个逗号隔开)
     */
    private String rdyhName;
    /**
     * 认定银行ID(多个逗号隔开)
     */
    private String rdyhId;
    /**
     * 附件信息,多个逗号隔开','(INFRA_FILE.ID)
     */
    private String fileIds;

}