package com.unis.module.coding.dal.dataobject.caxx;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 仓廒信息; DO
 *
 * @author 超级管理员
 */
@TableName("DELIVERY_CAXX")
@KeySequence("coding_caxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CaxxDO extends BaseDO {

    /**
     * 主键-自增
     */
    @TableId
    private Long id;
    /**
     * 库区id
     */
    private Long kqid;
    /**
     * 库区名称
     */
    private String kqmc;
    /**
     * 仓房名称
     */
    private String cfmc;
    /**
     * 仓房编码
     */
    private String cfbm;
    /**
     * 廒间名称
     */
    private String ajmc;
    /**
     * 廒间编码
     */
    private String ajbm;
    /**
     * 仓廒名称
     */
    private String camc;
    /**
     * 仓房类型
     */
    private String cflx;
    /**
     * 设计仓容
     */
    private BigDecimal sjcr;
    /**
     * 设计使用年限
     */
    private String sjsynx;
    /**
     * 仓廒状态
     */
    private String cazt;
    /**
     * 交付使用日期
     */
    private LocalDate jfsyrq;
    /**
     * 其他仓型说明
     */
    private String qtcxsm;
    /**
     * 备注
     */
    private String bz;
    /**
     * 仓房仓号图
     */
    private String cfcht;
    /**
     * 仓房仓型图
     */
    private String cfcxt;
    /**
     * 已选仓房(0:未选,1:已选)
     */
    private Integer yxcf;

    /**
     * 数据来源
     */
    private Integer sjly;
    /** 是否空仓(0:否,1:是) */
    private Integer sfkc;
}