package com.unis.module.coding.dal.dataobject.codingcaxx;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
/**
 * 仓廒信息; DO
 *
 * @author 超级管理员
 */
@TableName("coding_caxx")
@KeySequence("coding_caxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CodingCaxxDO {
    /**
     * 主键-自增
     */
    @TableId
    private Long id;
    /**
     * 库区id
     */
    private Long kqid;
    /**
     * 库区名称
     */
    private String kqmc;
    /**
     * 仓房名称
     */
    private String cfmc;
    /**
     * 仓房编码
     */
    private String cfbm;
    /**
     * 廒间名称
     */
    private String ajmc;
    /**
     * 廒间编码
     */
    private String ajbm;
    /**
     * 仓廒名称
     */
    private String camc;
    /**
     * 仓房类型
     */
    private String cflx;
    /**
     * 设计仓容
     */
    private BigDecimal sjcr;
    /**
     * 设计使用年限
     */
    private String sjsynx;
    /**
     * 仓廒状态
     */
    private String cazt;
    /**
     * 交付使用日期
     */
    private LocalDate jfsyrq;
    /**
     * 其他仓型说明
     */
    private String qtcxsm;
    /**
     * 审核状态 0、未审核  1、已审核
     */
    private Integer shzt;
    /**
     * 上报状态 0、未上报   1、已上报
     */
    private Integer sfsb;
    /**
     * 备注
     */
    private String bz;
    /**
     * 变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程',
     */
    private Integer bgzt;
    /**
     * 是否注销 0否 1是
     */
    private String sfzx;
    /**
     * 仓房仓号图
     */
    private String cfcht;
    /**
     * 仓房仓型图
     */
    private String cfcxt;

}
