package com.unis.module.coding.dal.dataobject.codingdwxx;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 单位信息 DO
 *
 * @author 超级管理员
 */
@TableName("coding_dwxx")
@KeySequence("coding_dwxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CodingDwxxDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 通讯地址-省
     */
    private String sheng;
    /**
     * 通讯地址-市
     */
    private String shi;
    /**
     * 通讯地址-县
     */
    private String xian;

    /**
     * 单位名称
     */
    private String dwmc;
    /**
     * 统一信用代码
     */
    private String tyxydm;
    /**
     * 法定代表人
     */
    private String fddbr;
    /**
     * 身份证号
     */
    private String sfzh;
    /**
     * 联系方式
     */
    private String lxfs;
    /**
     * 注册日期
     */
    private LocalDate zcrq;

    /**
     * 邮政编码
     */
    private String yzbm;
    /**
     * 注册地址
     */
    private String zcdz;
    /**
     * 企业性质
     */
    private String qyxz;
    /**
     * 经度
     */
    private BigDecimal jd;
    /**
     * 维度
     */
    private BigDecimal wd;
    /**
     * 上传营业执照
     */
    private String resid;
    /**
     * 上报状态	0、未上报   1、已上报
     */
    private Integer sbzt;
    /**
     * 是否注销：0未注销、1已注销
     */
    private String sfzx;
    /**
     * 审核状态 0、未审核  1、已审核
     */
    private Integer shzt;
    /**
     * 标志	区分省级库区还是中储粮
     */
    private String bz;

    /**
     * 通讯地址-具体地址
     */
    private String jtdz;
    /**
     * 创建人部门id
     */
    private String creatorDeptId;
    /**
     * 取模糊查询中最终选定的部门id
     */
    private String dwDeptId;
    /**
     * 变更状态 0未变更，1已变更未保存,2变更并保存流程数据;3发起流程
     */
    private Integer bgzt;
    /**
     * 上报id
     */
    private Integer sbid;
    /**
     * 行政区划代码
     */
    private String xzqhdm;
    /**
     * 业务字段
     */
    // 库区名称
    @TableField(exist = false)
    private String kqmc;
    // 仓容总量
    @TableField(exist = false)
    private String sjcrNum;
    /**
     * 仓房数量
     */
    @TableField(exist = false)
    private Integer cfnum;
    // 已选仓房
    @TableField(exist = false)
    private Integer yxcfnum;
}