package com.unis.module.coding.dal.dataobject.crkxx;

import com.sun.xml.bind.v2.TODO;
import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 出入库信息 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_crkxx")
@KeySequence("delivery_crkxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CrkxxDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 粮食品种名称
     */
    private String lspzmc;
    /**
     * 粮食等级编码(SYSTEM_DICT_DATA.LABEL)
     *
     * 枚举 {@link TODO system_lsdj 对应的类}
     */
    private String lsdjbm;
    /**
     * 净重(公斤)
     */
    private BigDecimal jz;
    /**
     * 车船号
     */
    private String cch;
    /**
     * 出入库类型(0:出库,1:入库)
     */
    private Integer crklx;
    /**
     * 附件多个逗号隔开','(INFRA_FILE.ID)
     */
    private String fileIds;
    /**
     * 承运人
     */
    private String cyr;
    /**
     * 运输工具
     */
    private String ysgj;
    /**
     * 入门时间
     */
    private LocalDateTime rmsj;
    /**
     * 登记人员
     */
    private String djry;
    /**
     * 出门时间
     */
    private LocalDateTime cmsj;
    /**
     * 仓房id(DELIVERY_CAXX.ID)
     */
    private Long cfId;
    /**
     * 货位卡id(DELIVERY_HWK.ID)
     */
    private Long hwkId;
    /**
     * 库区id(DELIVERY_KQXX.ID)
     */
    private Long kqid;

}