package com.unis.module.coding.dal.dataobject.cwxx;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 财务信息 DO
 *
 * @author 超级管理员
 */
@TableName("DELIVERY_CWXX")
@KeySequence("DELIVERY_CWXX_SEQ") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CwxxDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 是否国有及国有控股(0:是,1不是)
     */
    private Integer sfgykg;
    /**
     * 上一年度总资产(万元)
     */
    private BigDecimal syndzzc;
    /**
     * 股东
     */
    private String gd;
    /**
     * 单位id
     */
    private Long deptId;

    /**
     * 库区id
     */
    private Long kqid;

}