package com.unis.module.coding.dal.dataobject.cwxxyear;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 财年务情况 DO
 *
 * @author 超级管理员
 */
@TableName("DELIVERY_CWXX_YEAR")
@KeySequence("DELIVERY_CWXX_YEAR_SEQ") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CwxxYearDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 财年
     */
    private Integer cn;
    /**
     * 总负债(万元)
     */
    private BigDecimal zfz;
    /**
     * 营业收入(万元)
     */
    private BigDecimal yysr;
    /**
     * 净利润(万元)
     */
    private BigDecimal jlr;
    /**
     * CODING_CWXX.ID
     */
    private Long cwxxId;

}