package com.unis.module.coding.dal.dataobject.dwxx;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 单位信息 DO
 *
 * @author 超级管理员
 */
@TableName("DELIVERY_DWXX")
@KeySequence("coding_dwxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DwxxDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 通讯地址-省
     */
    private String sheng;
    /**
     * 通讯地址-市
     */
    private String shi;
    /**
     * 通讯地址-县
     */
    private String xian;

    /**
     * 单位名称
     */
    private String dwmc;
    /**
     * 统一信用代码
     */
    private String tyxydm;
    /**
     * 法定代表人
     */
    private String fddbr;
    /**
     * 身份证号
     */
    private String sfzh;
    /**
     * 联系方式
     */
    private String lxfs;
    /**
     * 注册日期
     */
    private LocalDate zcrq;

    /**
     * 邮政编码
     */
    private String yzbm;
    /**
     * 注册地址
     */
    private String zcdz;
    /**
     * 企业性质
     */
    private String qyxz;
    /**
     * 经度
     */
    private BigDecimal jd;
    /**
     * 维度
     */
    private BigDecimal wd;
    /**
     * 上传营业执照
     */
    private String resid;
    /**
     * 审核状态 0、未审核  1、已审核
     */
    private Integer shzt;

    /**
     * 通讯地址-具体地址
     */
    private String jtdz;
    /**
     * 创建人部门id
     */
    private String creatorDeptId;
    /**
     * 取模糊查询中最终选定的部门id
     */
    private String dwDeptId;
    /**
     * 数据来源
     */
    private Integer sjly;
    /**
     * 行政区划代码
     */
    private String xzqhdm;
    /**
     * 业务字段
     */
    // 库区名称
    @TableField(exist = false)
    private String kqmc;
    // 仓容总量
    @TableField(exist = false)
    private String sjcrNum;
    /**
     * 仓房数量
     */
    @TableField(exist = false)
    private Integer cfnum;
    // 已选仓房
    @TableField(exist = false)
    private Integer yxcfnum;
}