package com.unis.module.coding.dal.dataobject.hwk;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 货位卡信息 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_hwk")
@KeySequence("delivery_hwk_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HwkDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 货位名称
     */
    private String hwmc;
    /**
     * 保管员姓名
     */
    private String bgyxm;
    /**
     * 粮食品种名称
     */
    private String lspzmc;
    /**
     * 粮食等级编码(SYSTEM_DICT_DATA.LABEL)
     */
    private String lsdjbm;
    /**
     * 收获年度
     */
    private Integer shnd;
    /**
     * 产地编码(system_area_level.area_code)
     */
    private String cdbm;
    /**
     * 实际数量(吨)
     */
    private BigDecimal sjsl;
    /**
     * 计价数量(吨)
     */
    private BigDecimal jjsl;
    /**
     * 入库时间
     */
    private LocalDateTime rksj;
    /**
     * 保管方式
     */
    private String bgfs;
    /**
     * 仓房id(DELIVERY_CAXX.ID)
     */
    private Long cfId;
    /**
     * 库区id(DELIVERY_KQXX.ID)
     */
    private Long kqid;

}