package com.unis.module.coding.dal.dataobject.kqxx;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 库区信息; DO
 *
 * @author 超级管理员
 */
@TableName("DELIVERY_KQXX")
@KeySequence("coding_kqxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KqxxDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 单位id
     */
    private Long dwid;
    /**
     * 库区名称
     */
    private String kqmc;
    /**
     * 库区代码
     */
    private String kqdm;
    /**
     * 简称
     */
    private String jc;
    /**
     * 经度
     */
    private BigDecimal jd;
    /**
     * 纬度
     */
    private BigDecimal wd;
    /**
     * 邮政编码
     */
    private String yzbm;
    /**
     * 库区地址-省
     */
    private String sheng;
    /**
     * 库区负责人
     */
    private String kqfzr;
    /**
     * 联系电话
     */
    private String lxdh;
    /**
     * 占地面积
     */
    private BigDecimal zdmj;
    /**
     * 上传库区图id
     */
    private String resid;


    /**
     * 租仓参考价(元)
     */
    private Integer zcckj;

    /**
     * 委托保管参考价(元/吨)
     */
    private Integer wtbgckj;
    /**
     * 库区地址-市
     */
    private String shi;
    /**
     * 库区地址-县
     */
    private String xian;
    /**
     * 库区地址-具体地址
     */
    private String jtdz;
    /**
     * 所属法人企业
     */
    private String ssfrqy;
    /**
     * 社会信用代码
     */
    private String shxydm;
    /**
     * 数据来源
     */
    private Integer sjly;
}