package com.unis.module.coding.dal.dataobject.lqjcxx;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 粮情检测信息 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_lqjcxx")
@KeySequence("delivery_lqjcxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LqjcxxDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 仓房id(DELIVERY_CAXX.ID)
     */
    private Long cfId;
    /**
     * 货位卡id(DELIVERY_HWK.ID)
     */
    private Long hwkId;
    /**
     * 仓房外温(℃)
     */
    private BigDecimal cww;
    /**
     * 仓房外湿度(%)
     */
    private BigDecimal cws;
    /**
     * 仓房内温(℃)
     */
    private BigDecimal cnw;
    /**
     * 仓房内湿(%)
     */
    private BigDecimal cns;
    /**
     * 粮食最高温(℃)
     */
    private BigDecimal lszgw;
    /**
     * 粮食最低温(℃)
     */
    private BigDecimal lszdw;
    /**
     * 粮食平均温(℃)
     */
    private BigDecimal lspjw;
    /**
     * 附件多个逗号隔开'',''(INFRA_FILE.URL)
     */
    private String fileIds;

}