package com.unis.module.coding.dal.dataobject.spqyxx;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 视频区域信息 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_spqyxx")
@KeySequence("delivery_spqyxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpqyxxDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 子节点ID
     */
    private String zid;
    /**
     * 父节点
     */
    private String fid;
    /**
     * 是否存在区域
     */
    private String leaf;
    /**
     * 区域名称
     */
    private String name;
    /**
     * 库区代码
     */
    private String kqdm;

}