package com.unis.module.coding.dal.dataobject.spxx;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 视频信息 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_spxx")
@KeySequence("delivery_spxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpxxDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 监控点编码
     */
    private String jkdbm;
    /**
     * 监控点名称
     */
    private String jkdmc;
    /**
     * 上级组织机构代码
     */
    private String zzjgdm;
    /**
     * 视频链接
     */
    private String url;
    /**
     * 库区名称
     */
    private String kqmc;
    /**
     * 库区代码
     */
    private String kqdm;
    /**
     * 是否在线
     */
    private Integer sfzx;

}