package com.unis.module.coding.dal.dataobject.syxx;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 损益信息 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_syxx")
@KeySequence("delivery_syxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SyxxDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 仓房id(DELIVERY_CAXX.ID)
     */
    private Long cfId;
    /**
     * 货位卡id(DELIVERY_HWK.ID)
     */
    private Long hwkId;
    /**
     * 入库净重(吨)
     */
    private BigDecimal rkjz;
    /**
     * 入库杂质
     */
    private String rkzz;
    /**
     * 入库水分
     */
    private String rksf;
    /**
     * 出库净重(吨)
     */
    private BigDecimal ckjz;
    /**
     * 出库水分
     */
    private String cksf;
    /**
     * 出库杂质
     */
    private String ckzz;
    /**
     * 损益是否正常(0:不正常,1:正常)
     */
    private Integer sfzc;
    /**
     * 水杂减量
     */
    private BigDecimal szjl;
    /**
     * 自然耗定额(吨)
     */
    private BigDecimal zrhde;
    /**
     * 超耗数量(吨)
     */
    private BigDecimal chsl;
    /**
     * 损益数量（吨
     */
    private BigDecimal sysl;

}