package com.unis.module.coding.dal.dataobject.users;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.unis.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

/**
 * 存粮人选定仓 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_users")
@KeySequence("delivery_users_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UsersDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 库区id(DELIVERY_KQXX.ID)
     */
    private Long kqId;
    /**
     * 仓房id(DELIVERY_CAXX.ID)
     */
    private Long caId;

}