package com.unis.module.coding.dal.dataobject.zjxx;

import com.sun.xml.bind.v2.TODO;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 质检信息 DO
 *
 * @author 超级管理员
 */
@TableName("delivery_zjxx")
@KeySequence("delivery_zjxx_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZjxxDO extends BaseDO {

    /**
     * 雪花id
     */
    @TableId
    private Long id;
    /**
     * 仓房id(DELIVERY_CAXX.ID)
     */
    private Long cfId;
    /**
     * 货位卡id(DELIVERY_HWK.ID)
     */
    private Long hwkId;
    /**
     * 检测类型
     */
    private String jclx;
    /**
     * 检测时间
     */
    private LocalDate jcsj;
    /**
     * 粮食品种名称
     */
    private String lspzmc;
    /**
     * 粮食等级编码(SYSTEM_DICT_DATA.LABEL)
     *
     * 枚举 {@link TODO system_lsdj 对应的类}
     */
    private String lsdjbm;
    /**
     * 检测人员姓名
     */
    private String jcrrxm;
    /**
     * 粮食安全指标是否合格(0:不合格,1:合格)
     */
    private Integer sfhg;
    /**
     * 附件多个逗号隔开'',''(INFRA_FILE.ID)
     */
    private String fileIds;

}