package com.unis.module.coding.service.bank;

import java.util.*;
import javax.validation.*;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;
import com.unis.module.coding.controller.admin.bank.vo.BankPageReqVO;
import com.unis.module.coding.controller.admin.bank.vo.BankSaveReqVO;
import com.unis.module.coding.dal.dataobject.bank.BankDO;

/**
 * 银行已选 Service 接口
 *
 * @author 超级管理员
 */
public interface BankService {

    /**
     * 创建银行已选
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBank(@Valid BankSaveReqVO createReqVO);

    /**
     * 更新银行已选
     *
     * @param updateReqVO 更新信息
     */
    void updateBank(@Valid BankSaveReqVO updateReqVO);

    /**
     * 删除银行已选
     *
     * @param id 编号
     */
    void deleteBank(Long id);

    /**
     * 获得银行已选
     *
     * @param id 编号
     * @return 银行已选
     */
    BankDO getBank(Long id);

    /**
     * 获得银行已选分页
     *
     * @param pageReqVO 分页查询
     * @return 银行已选分页
     */
    PageResult<BankDO> getBankPage(BankPageReqVO pageReqVO);

}