package com.unis.module.coding.service.cwxxyear;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.cwxxyear.vo.*;
import com.unis.module.coding.dal.dataobject.cwxxyear.CwxxYearDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;

/**
 * 财年务情况 Service 接口
 *
 * @author 超级管理员
 */
public interface CwxxYearService {

    /**
     * 创建财年务情况
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCwxxYear(@Valid CwxxYearSaveReqVO createReqVO);

    /**
     * 更新财年务情况
     *
     * @param updateReqVO 更新信息
     */
    void updateCwxxYear(@Valid CwxxYearSaveReqVO updateReqVO);

    /**
     * 删除财年务情况
     *
     * @param id 编号
     */
    void deleteCwxxYear(Long id);

    /**
     * 获得财年务情况
     *
     * @param id 编号
     * @return 财年务情况
     */
    CwxxYearDO getCwxxYear(Long id);

    /**
     * 获得财年务情况分页
     *
     * @param pageReqVO 分页查询
     * @return 财年务情况分页
     */
    PageResult<CwxxYearDO> getCwxxYearPage(CwxxYearPageReqVO pageReqVO);

}