package com.unis.module.coding.service.province;

import java.util.*;
import javax.validation.*;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;
import com.unis.module.coding.controller.admin.province.vo.ProvincePageReqVO;
import com.unis.module.coding.controller.admin.province.vo.ProvinceSaveReqVO;
import com.unis.module.coding.dal.dataobject.province.ProvinceDO;

/**
 * 省已选 Service 接口
 *
 * @author 超级管理员
 */
public interface ProvinceService {

    /**
     * 创建省已选
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createProvince(@Valid ProvinceSaveReqVO createReqVO);

    /**
     * 更新省已选
     *
     * @param updateReqVO 更新信息
     */
    void updateProvince(@Valid ProvinceSaveReqVO updateReqVO);

    /**
     * 删除省已选
     *
     * @param id 编号
     */
    void deleteProvince(Long id);

    /**
     * 获得省已选
     *
     * @param id 编号
     * @return 省已选
     */
    ProvinceDO getProvince(Long id);

    /**
     * 获得省已选分页
     *
     * @param pageReqVO 分页查询
     * @return 省已选分页
     */
    PageResult<ProvinceDO> getProvincePage(ProvincePageReqVO pageReqVO);

}