package com.unis.module.coding.service.spqyxx;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.spqyxx.vo.*;
import com.unis.module.coding.dal.dataobject.spqyxx.SpqyxxDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;

/**
 * 视频区域信息 Service 接口
 *
 * @author 超级管理员
 */
public interface SpqyxxService {

    /**
     * 创建视频区域信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSpqyxx(@Valid SpqyxxSaveReqVO createReqVO);

    /**
     * 更新视频区域信息
     *
     * @param updateReqVO 更新信息
     */
    void updateSpqyxx(@Valid SpqyxxSaveReqVO updateReqVO);

    /**
     * 删除视频区域信息
     *
     * @param id 编号
     */
    void deleteSpqyxx(Long id);

    /**
     * 获得视频区域信息
     *
     * @param id 编号
     * @return 视频区域信息
     */
    SpqyxxDO getSpqyxx(Long id);

    /**
     * 获得视频区域信息分页
     *
     * @param pageReqVO 分页查询
     * @return 视频区域信息分页
     */
    PageResult<SpqyxxDO> getSpqyxxPage(SpqyxxPageReqVO pageReqVO);

}