package com.unis.module.coding.service.spxx;

import java.util.*;
import javax.validation.*;
import com.unis.module.coding.controller.admin.spxx.vo.*;
import com.unis.module.coding.dal.dataobject.spxx.SpxxDO;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;

/**
 * 视频信息 Service 接口
 *
 * @author 超级管理员
 */
public interface SpxxService {

    /**
     * 创建视频信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSpxx(@Valid SpxxSaveReqVO createReqVO);

    /**
     * 更新视频信息
     *
     * @param updateReqVO 更新信息
     */
    void updateSpxx(@Valid SpxxSaveReqVO updateReqVO);

    /**
     * 删除视频信息
     *
     * @param id 编号
     */
    void deleteSpxx(Long id);

    /**
     * 获得视频信息
     *
     * @param id 编号
     * @return 视频信息
     */
    SpxxDO getSpxx(Long id);

    /**
     * 获得视频信息分页
     *
     * @param pageReqVO 分页查询
     * @return 视频信息分页
     */
    PageResult<SpxxDO> getSpxxPage(SpxxPageReqVO pageReqVO);

}