package com.unis.module.system.api.area.dto;

import com.unis.module.system.enums.area.AreaDeepEnum;
import lombok.Data;

import java.util.List;

/**
 * 行政区划 DTO
 *
 * @author duhuajie
 */
@Data
public class AreaLevel3DTO{

    /**
     * 地区 id
     */
    private String id;
    /**
     * 上级地区 id
     */
    private String pid;
    /**
     * 地区级别：0 省 1 市 2 区县
     * <br>
     * 枚举 {@link AreaDeepEnum}
     */
    private Integer deep;
    /**
     * 简称
     */
    private String areaName;
    /**
     * 拼音首字母
     */
    private String pinyinPrefix;
    /**
     * 拼音全拼
     */
    private String pinyin;
    /**
     * 标准地区 id
     */
    private String extId;
    /**
     * 标准地区名称
     */
    private String extName;
    /**
     * 父节点
     */
    private AreaLevel3DTO parent;
    /**
     * 子节点
     */
    private List<AreaLevel3DTO> children;
}