package com.unis.module.system.api.dept.dto;

import com.unis.framework.common.enums.CommonStatusEnum;
import lombok.Data;

/**
 * 部门 Response DTO
 *
 * @author 芋道源码
 */
@Data
public class DeptRespDTO {

    /**
     * 部门编号
     */
    private Long id;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 父部门编号
     */
    private Long parentId;
    /**
     * 负责人的用户编号
     */
    private Long leaderUserId;
    /**
     * 部门状态
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

}
