package com.unis.module.system.controller.admin.arealevel.vo;

import com.unis.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.unis.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * @program: delivery-filing-admin
 * @author: duhuajie
 * @create: 2024-07-01
 * @description: 格式化行政区划 北京/北京/东城
 */
@Schema(description = "管理后台 - 行政区划 格式化 Response VO")
@Data
@AllArgsConstructor
public class AreaLevelPageReqVO extends PageParam {

    @Schema(description = "行政区划代码")
    private String areaCode;

    @Schema(description = "名称", example = "赵六")
    private String areaName;

    @Schema(description = "上级行政区划代码")
    private String parentCode;

    @Schema(description = "行政区域等级 1-省 2-市 3-区县 4-街道镇 5-村")
    private Integer areaLevel;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;
}
