package com.unis.module.system.controller.admin.arealevel.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 行政区划 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AreaLevelRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "6631")
    @ExcelProperty("id")
    private Integer id;

    @Schema(description = "行政区划代码")
    @ExcelProperty("行政区划代码")
    private String areaCode;

    @Schema(description = "名称", example = "赵六")
    @ExcelProperty("名称")
    private String areaName;

    @Schema(description = "上级行政区划代码")
    @ExcelProperty("上级行政区划代码")
    private String parentCode;

    @Schema(description = "行政区域等级 1-省 2-市 3-区县 4-街道镇 5-村")
    @ExcelProperty("行政区域等级 1-省 2-市 3-区县 4-街道镇 5-村")
    private Integer areaLevel;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}