package com.unis.module.system.dal.dataobject.arealevel;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.unis.framework.mybatis.core.dataobject.BaseDO;

/**
 * 行政区划 DO
 *
 * @author 超级管理员
 */
@TableName("system_area_level")
@KeySequence("system_area_level_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AreaLevelDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Integer id;
    /**
     * 行政区划代码
     */
    private String areaCode;
    /**
     * 名称
     */
    private String areaName;
    /**
     * 上级行政区划代码
     */
    private String parentCode;
    /**
     * 行政区域等级 1-省 2-市 3-区县 4-街道镇 5-村
     */
    private Integer areaLevel;

}